### A free/open-source library for quantitative finance

Public Member Functions
FdBatesVanillaEngine Class Reference
Vanilla option engines

Partial Integro FiniteDifferences Bates Vanilla Option engine. More...

`#include <ql/pricingengines/vanilla/fdbatesvanillaengine.hpp>`

Inheritance diagram for FdBatesVanillaEngine:
[legend]

List of all members.

## Public Member Functions

| FdBatesVanillaEngine (const boost::shared_ptr< BatesModel > &model, Size tGrid=100, Size xGrid=100, Size vGrid=50, Size dampingSteps=0, const FdmSchemeDesc &schemeDesc=FdmSchemeDesc::Hundsdorfer())
void | calculate () const

## Detailed Description

Partial Integro FiniteDifferences Bates Vanilla Option engine.